data:extend(
{

	{
		type = "recipe",
		name = "y_chunks1_recipe",
		category = "yrcat_crystalize", -- 
		enabled = "true",
		energy_required = 8.00,
		ingredients = {
			{ type = "item", name = "y_crystal_dust", amount = 1.0, },
			{ type = "fluid", name = "steam", amount = 100.0, },
		},
		results = {			
			{ type = "item", name = "y-res1" , amount = 2.0, },
		},		
		icon = "__Yuoki__/graphics/icons/uni-com-pur.png",
		icon_size = 32,  
		order = "r", group = "yuoki", subgroup = "y_line2",
	},

	{
		type = "recipe",
		name = "y_chunks2_recipe",
		category = "yrcat_crystalize", -- 
		enabled = "true",
		energy_required = 8.00,
		ingredients = {
			{ type = "item", name = "y_crystal_dust", amount = 1.0, },
			{ type = "fluid", name = "steam", amount = 100.0, },
		},
		results = {
			{ type = "item", name = "y-res2" , amount = 2.0, },			
		},		
		icon = "__Yuoki__/graphics/icons/yi-res-2-pur.png",
		icon_size = 32,  
		order = "s", group = "yuoki", subgroup = "y_line2",
	},

	{
		type = "assembling-machine",
		name = "y_trockner",
		icon_size = 32, icon =  "__Yuoki__/graphics/entity/base_factory_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 0.5, result = "y_trockner"},
		max_health = 400,
		resistances = {{type = "physical",percent = 50}},
		collision_box = {{-1.2,-1.2},{1.2,1.2}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/base_factory_sheet.png",
			priority = "medium", width = 256, height = 256, frame_count = 6, shift = {0, 0}, scale=0.5, animation_speed=0.5,		
		},					
		crafting_categories = {"yrcat_trockner"},
		crafting_speed = 1.0,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions_per_minute = 3.75, },
		energy_usage = "2000kW",
		ingredient_count = 5,
		fluid_boxes =
		{
			off_when_no_fluid_recipe = true,			
			{
				production_type = "input",
				--pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = { 0, 2} }}
			},
		},
		module_specification =
		{
			module_slots = 1
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},

	{
		type = "assembling-machine",
		name = "y_mixer_emu",
		icon_size = 32, icon =  "__Yuoki__/graphics/entity/base_factory_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 0.5, result = "y_mixer_emu"},
		max_health = 400,
		resistances = {{type = "physical",percent = 50}},
		collision_box = {{-1.2,-1.2},{1.2,1.2}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/water_mixer_sheet.png",
			priority = "medium", width = 256, height = 256, frame_count = 16, line_length = 4, shift = {0.5, -0.5}, scale=0.5, animation_speed=0.5,		
		},					
		crafting_categories = {"yrcat_emulsion"},
		crafting_speed = 1.0,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions_per_minute = 3.75, },
		energy_usage = "750kW",
		ingredient_count = 5,
		fluid_boxes =
		{
			off_when_no_fluid_recipe = true,			
			{
				production_type = "input",
				--pipe_covers = pipecoverspictures(),
				base_area = 4,
				base_level = -1,
				pipe_connections = {{ type="input", position = { 0, 2} }}
			},
			{
				production_type = "output",
				--pipe_covers = pipecoverspictures(),
				base_area = 4,
				base_level = 1,
				pipe_connections = {{ type="output", position = { 0, -2} }}
			},			
		},
		module_specification =
		{
			module_slots = 1
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},

	{
		type = "assembling-machine",
		name = "y_crystalizer",
		icon_size = 64, icon =  "__Yuoki__/graphics/entity/crys_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 0.5, result = "y_crystalizer"},
		max_health = 400,
		resistances = {{type = "physical",percent = 50}},
		collision_box = {{-1.2,-1.2},{1.2,1.2}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			filename = "__Yuoki__/graphics/entity/crys.png",
			priority = "medium", width = 256, height = 256, frame_count = 1, shift = {0.5, -0.25}, scale=0.5, animation_speed=0.5,		
		},					
		crafting_categories = {"yrcat_crystalize"},
		crafting_speed = 1.0,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions_per_minute = 10, },
		energy_usage = "2000kW",
		ingredient_count = 5,
		fluid_boxes =
		{
			off_when_no_fluid_recipe = true,			
			{
				production_type = "input",
				--pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = { 0, 2} }}
			},
		},
		module_specification =
		{
			module_slots = 1
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},

	{
		type = "assembling-machine",
		name = "y_hppump",
		icon_size = 32, icon =  "__Yuoki__/graphics/entity/hppump_icon.png",
		flags = {"placeable-neutral","player-creation"},
		minable = {mining_time = 0.5, result = "y_hppump"},
		max_health = 400,
		resistances = {{type = "physical",percent = 50}},
		collision_box = {{-1.2,-1.2},{1.2,1.2}},
		selection_box = {{-1.5,-1.5},{1.5,1.5}},
		animation = {
			north = {
				filename = "__Yuoki__/graphics/entity/hppump_n.png",
				priority = "medium", width = 320, height = 320, frame_count = 1, shift = {0, 0}, scale=0.5, animation_speed=0.5,		
			},
			east = {
				filename = "__Yuoki__/graphics/entity/hppump_e.png",
				priority = "medium", width = 320, height = 320, frame_count = 1, shift = {0, 0}, scale=0.5, animation_speed=0.5,		
			},
			south = {
				filename = "__Yuoki__/graphics/entity/hppump_s.png",
				priority = "medium", width = 320, height = 320, frame_count = 1, shift = {0, 0}, scale=0.5, animation_speed=0.5,		
			},
			west = {
				filename = "__Yuoki__/graphics/entity/hppump_w.png",
				priority = "medium", width = 320, height = 320, frame_count = 1, shift = {0, 0}, scale=0.5, animation_speed=0.5,		
			},
			
		},					
		crafting_categories = {"yrcat_hppump"},
		crafting_speed = 1.0,
		energy_source = {type = "electric", input_priority = "secondary", usage_priority = "secondary-input", emissions_per_minute = 2.5, },
		energy_usage = "500kW",
		ingredient_count = 5,
		fluid_boxes =
		{
			off_when_no_fluid_recipe = true,			
			{
				production_type = "input",
				--pipe_covers = pipecoverspictures(),
				base_area = 4,
				base_level = -1,
				pipe_connections = {{ type="input", position = { 0, 2} }}
			},
			{
				production_type = "output",
				--pipe_covers = pipecoverspictures(),
				base_area = 4,
				base_level = 1,
				pipe_connections = {
					{ type="output", position = {  2, 0} },
					{ type="output", position = { -2, 0} }
				}
			},			
			
		},
		module_specification =
		{
			module_slots = 1
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
	},



	-- MF-Tank
	{
		type = "recipe",
		name = "y_mftank_recipe",
		energy_required = 3.0,
		enabled = "true",
		ingredients = {{"y-valve-direction-buffer", 4}, {"iron-plate", 12}}, 
		result = "y_mftank",
		result_count = 1, order="tank-c5", subgroup = "y-fluid-storage",
	},	
	{
		type = "item",
		name = "y_mftank", place_result = "y_mftank",
		icon_size = 64, icon =  "__Yuoki__/graphics/entity/store/mftank_ico.png",
		group = "yuoki", subgroup = "y-fluid-storage", stack_size = 15, default_request=5, order = "tank-c5",
	},	
	{
		type = "storage-tank",
		name = "y_mftank",
		icon_size = 64, icon =  "__Yuoki__/graphics/entity/store/mftank_ico.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 1, result = "y_mftank"},
		max_health = 500,
		corpse = "small-remnants",
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

		fluid_box =
		{
			base_area = 25,						
			base_level = 0,
			--pipe_covers = pipecoverspictures(),
			pipe_connections =
			{				
				--{ type="input", position = {-2, 0},},
				--{ type="output", position = { 2, 0} },
				{ position = {-2, 0},},
				{ position = { 2, 0} },										
				{ position = {0, -2} },       
				{ position = {0, 2} },        
			},			
		},
		
		two_direction_only = false,
		window_bounding_box = {{-0.05, -0.5}, {0.05, 0.0}},
		pictures={
			picture =
			{
				sheet={
					filename = "__Yuoki__/graphics/entity/store/mftank.png",
					priority = "high",
					frames = 1,
					width = 320,
					height = 320,
					scale = 0.5,
					shift = {0, 0}
				}			
			},
			fluid_background =
			{
				filename = "__base__/graphics/entity/storage-tank/fluid-background.png",
				priority = "extra-high",
				width = 16,
				height = 15
			},
			window_background =
			{
				filename = "__base__/graphics/entity/storage-tank/window-background.png",
				priority = "extra-high",
				width = 17,
				height = 24
			},
			flow_sprite =
			{
				filename = "__base__/graphics/entity/pipe/fluid-flow-low-temperature.png",
				priority = "extra-high",
				width = 160,
				height = 20
			},	
		gas_flow =
		{
			filename = "__base__/graphics/entity/pipe/steam.png",
			priority = "extra-high",
			line_length = 10,
			width = 24,
			height = 15,
			frame_count = 60,
			axially_symmetrical = false,
			direction_count = 1,
			animation_speed = 0.25,
			hr_version =
			{
				filename = "__base__/graphics/entity/pipe/hr-steam.png",
				priority = "extra-high",
				line_length = 10,
				width = 48,
				height = 30,
				frame_count = 60,
				axially_symmetrical = false,
				animation_speed = 0.25,
				direction_count = 1
			}
		},		
		},
		flow_length_in_ticks = 360,
		circuit_wire_connection_points =
		{
			{
				shadow =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				},
				wire =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				}
			},
			{
				shadow =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				},
				wire =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				}
			},
			{
				shadow =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				},
				wire =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				}
			},
			{
				shadow =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				},
				wire =
				{
					red = {-0.55, -0.15},
					green = {-0.75, -0.15},
				}
			}
		},
		circuit_wire_max_distance = 15,		
	    circuit_wire_connection_points = circuit_connector_definitions["storage-tank"].points,
		circuit_connector_sprites = circuit_connector_definitions["storage-tank"].sprites,
	},



})
